.deposits-withdrawals {
    padding-top: 10rem;
    padding-bottom: 2rem;
  }
  .deposits-withdrawals__title {
    margin: 0;
    margin-bottom: 3.9rem;
    text-align: center;
    font-size: 4rem;
    line-height: 5.2rem;
    font-weight: 700;
    color: #2D333E;
  }
  .deposits-withdrawals__wrapper {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 2rem;
    max-width: 118rem;
    margin-left: auto;
    margin-right: auto;
  }
  .deposits-withdrawals__mobile-info {
    display: none;
  }
  
  
  @property --angle {
    syntax: '<angle>';
    initial-value: 0deg;
    inherits: true;
  }
  
  .deposits-withdrawals__text-block {
    padding: 3.2rem;
    display: grid;
    grid-template-rows: auto auto 0.7fr;
    /* align-items: center; */
    justify-content: center;
    row-gap: 0;
    border-radius: 3.2rem;
    background: linear-gradient(calc(var(--angle) + var(--offset)), #f4f4f5 0%, #fff 100%);
    text-align: center;
    animation: rotate-gradient 3s linear infinite;
  }
  
   .deposits-withdrawals__text-block:first-child {
     --offset: 0deg;
   }

   .deposits-withdrawals__text-block:last-child {
     --offset: 180deg;
   }
       
    @keyframes rotate-gradient {
        to {
          --angle: 360deg;
        }
    }
  
  .deposits-withdrawals .deposits-withdrawals-text__top-text {
    margin: 0;
    font-size: 2.4rem;
    line-height: 2.8rem;
    font-weight: 500;
    text-align: center;
    color: #2d333e;
  }
  .deposits-withdrawals .deposits-withdrawals-text__top-text--mobile {
    display: none;
  }
  .deposits-withdrawals .deposits-withdrawals-text__middle-text {
      margin: 0;
      font-size: 14rem;
      line-height: 16.8rem;
      font-weight: 700;
      letter-spacing: -0.7rem;
      color: transparent;
      background-image: linear-gradient(180deg, #dfe1e5 0%, #9299a7 100%);
      -webkit-background-clip: text;
      background-clip: text;
  
      opacity: 0;
      transform: translateY(5rem);
      transition: transform 500ms ease-out, opacity 1s ease-out;
  }
  
  .deposits-withdrawals .deposits-withdrawals-text__middle-text.visible {
      opacity: 0.68;
      transform: translateY(0);
  }
  .deposits-withdrawals .deposits-withdrawals-text--deposit .deposits-withdrawals-text__middle-text{
    margin-right: -2rem;
  }
  .deposits-withdrawals-text__middle-text--percent {
    font-size: 9rem;
    line-height: 13.4rem;
    letter-spacing: -0.36rem;
    margin-left: 0.6rem;
  }
  .deposits-withdrawals .deposits-withdrawals-text__bottom-text {
    margin: 0;
    text-align: center;
    font-size: 2rem;
    line-height: 2.8rem;
    font-weight: 400;
    color: #687587;
  }
  .deposits-withdrawals .deposits-withdrawals-date {
    margin-top: 1rem;
    margin-left: auto;
    margin-right: auto;
    padding: 0.4rem 1.2rem;
    width: -moz-fit-content;
    width: fit-content;
    display: flex;
    align-items: center;
    justify-content: center;
    align-items: flex-start;
    gap: 0.8rem;
    border-radius: 2rem;
    background: #fff;
  }
  .deposits-withdrawals .deposits-withdrawals-date__text {
    margin: 0;
    font-size: 1.4rem;
    font-weight: 400;
    line-height: 2.4rem;
    color: #687587;
  }
  .deposits-withdrawals .deposits-withdrawals-date__date {
    display: flex;
    gap: 0.4rem;
    font-size: 1.4rem;
    font-weight: 500;
    line-height: 2.4rem;
    color: #2d333e;
  }
  .deposits-withdrawals .deposits-withdrawals-date__time {
    display: flex;
  }
  .deposits-withdrawals .deposits-withdrawals-date__number {
    margin: 0;
  }

  .deposits-withdrawals .free-day {
    display: none;
    color: #194797;
    font-weight: 500;
    font-size: 1.4rem;
    line-height: 2.4rem;
    text-align: center;
  }
  [lang="ru-kk"] .deposits-withdrawals .free-day,
  [lang="ru-uz"] .deposits-withdrawals .free-day,
  [lang="kk"] .deposits-withdrawals .free-day {
      font-size: 1.3rem;
  }
  .deposits-withdrawals .until-free-day {
    display: flex;
  }
  :lang(ph), :lang(ru-kk), :lang(ru-uz) {
    .deposits-withdrawals .until-free-day {
      flex-direction: column;
      align-items: center;
      row-gap: 0;
    }
    .deposits-withdrawals .deposits-withdrawals-date__text {
      text-align: center;
    }
  }
  .deposits-withdrawals .deposits-withdrawals-date--mobile .until-free-day {
    display: block;
  }
  .deposits-withdrawals__calendar-wrapper {
    display: grid;
    grid-template-rows: auto 1fr auto;
    align-items: center;
    justify-content: center;
    row-gap: 1.6rem;
    padding: 3.2rem;
    border-radius: 3.2rem;
    background: linear-gradient(45deg, #f4f4f5 0%, #fff 100%);
  }
  .deposits-withdrawals__calendar {
    margin: 0 auto;
  }
  .deposits-withdrawals .free-withdrawal-calendar {
    box-sizing: border-box;
    width: 100%;
    max-width: 20rem;
    padding: 1.2rem 1.2rem 0.5rem 1.2rem;
    border-radius: 2.4rem;
    outline: 0.2rem solid #fff;
    background: linear-gradient(180deg, #f4f4f5 0%, #fff 40%);
    box-shadow: 0 0.2rem 0.4rem 0 #dfe1e5, 0 0.8rem 1.6rem 0 #dfe1e5;
  }
  .deposits-withdrawals .free-withdrawal-calendar__nav {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 0.8rem;
    margin-bottom: 0.8rem;
  }
  .deposits-withdrawals .free-withdrawal-calendar__title {
    margin: 0;
    flex: 1;
    text-align: center;
    font-size: 1.2rem;
    line-height: 1.6rem;
    color: #687587;
  }
  .deposits-withdrawals .free-withdrawal-calendar__btn {
    display: none;
    cursor: pointer;
    border: none;
    outline: none;
    background-color: transparent;
  }
  .deposits-withdrawals .free-withdrawal-calendar__dow {
    display: grid;
    grid-template-columns: repeat(7, 1fr);
    align-items: center;
    justify-content: center;
    gap: 0.2rem;
    margin-bottom: 0.2rem;
  }
  .deposits-withdrawals .free-withdrawal-calendar__dow-cell {
    text-align: center;
    font-size: 1.1rem;
    line-height: 1.4rem;
    font-weight: 400;
    color: #2d333e;
    text-transform: uppercase;
  }
  .deposits-withdrawals .free-withdrawal-calendar__grid {
    display: grid;
    grid-template-columns: repeat(7, 25px);
    -moz-column-gap: 0.4rem;
    /* column-gap: 0.4rem; */
    /* row-gap: 1.2rem; */
  }
  .deposits-withdrawals .free-withdrawal-calendar__day {
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 1.1rem;
    line-height: 1;
    font-weight: 400;
    border-radius: 0.8rem;
    color: #687587;
    border-radius: 2rem;
    letter-spacing: -0.022rem;
    width: 22px;
    height: 22px;
  }
  .deposits-withdrawals .free-withdrawal-calendar__day--next-preview,
  .deposits-withdrawals .free-withdrawal-calendar__day--outside {
    color: #a8b3c4;
    font-weight: 400;
    opacity: 0.4;
  }
  .deposits-withdrawals .free-withdrawal-calendar__day--free {
    font-weight: 600;
    color: #fff;
    position: relative;
    z-index: 2;
  }
  .deposits-withdrawals .free-withdrawal-calendar__day--past {
    position: relative;
    z-index: 2;
    color: transparent;
  }
  .deposits-withdrawals .free-withdrawal-calendar__day--past::before {
    content: "";
    position: absolute;
    top: -0.5rem;
    left: 0.2rem;
    display: block;
    width: calc(100% - 0.4rem);
    height: calc(100% + 0.8rem);
    border-radius: 3.2rem;
    background: rgba(25, 71, 151, 0.06);
    background-image: url(images/check-calendar-desktop.svg);
    background-repeat: no-repeat;
    background-size: contain;
    background-position: 50%;
    border-radius: 50%;
    z-index: -1;
    opacity: 0.4;
  }
  .deposits-withdrawals .free-withdrawal-calendar__day--next-free {
    z-index: 1;
    opacity: 1;
  }
  .deposits-withdrawals .free-withdrawal-calendar__day--next-free:before {
    /* z-index: 1; */
    animation: pulse-scale 1.2s ease-in-out infinite;
  }
  @keyframes pulse-scale {
      0% {
          transform: scale(0.8);
      }
      50% {
          transform: scale(1);      
      }
      100% {
          transform: scale(0.8);
      }
  }
  .deposits-withdrawals .free-withdrawal-calendar__day--today {
    font-weight: 600;
    color: #2d333e;
    position: relative;
    z-index: 2;
  }
  .deposits-withdrawals .free-withdrawal-calendar__day--today::before {
    content: "";
    position: absolute;
    top: 1px;
    left: 1px;
    display: block;
    width: calc(100% - 2px);
    height: calc(100% - 2px);
    /* background-color: #dfe1e5; */
    border-radius: 50%;
    z-index: -1;
    outline: 0.1rem solid #9299a7;
  }
  .deposits-withdrawals .free-withdrawal-calendar__day--today.free-withdrawal-calendar__day--free {
    border-color: #1a237e;
    color: #fff;
  }

  .deposits-withdrawals .free-withdrawal-calendar__day--today.free-withdrawal-calendar__day--free:before {
    outline: none;
    width: calc(100% - 2px);
    height: calc(100% - 2px);
    top: 1px;
    left: 1px;
  }

  .deposits-withdrawals .free-withdrawal-calendar__day--today.free-withdrawal-calendar__day--free:after {
     content: "";
     position: absolute;
     top: 1px;
     left: 1px;
     display: block;
     width: calc(100% - 2px);
     height: calc(100% - 2px);
     /* background-color: #dfe1e5; */
     border-radius: 50%;
     z-index: -1;
     outline: 0.1rem solid #9299a7;
     outline-offset: -0.1rem;
  }

  .deposits-withdrawals .free-withdrawal-calendar__day--free::before {
    content: "";
    position: absolute;
    top: 1px;
    left: 1px;
    display: block;
    /* width: calc(100% - 0.4rem);
    height: calc(100% + 0.8rem); */
    width: calc(100% - 2px);
    height: calc(100% - 2px);
    background-color: #194797;
    border-radius: 50%;
    z-index: -1;
  }
  

  @media (max-width: 1000px) {
    .deposits-withdrawals__wrapper {
      grid-template-columns: repeat(2, 1fr);
    }
    .deposits-withdrawals__calendar-wrapper {
      order: 3;
      grid-area: 2/1/3/3;
    }
    .deposits-withdrawals .deposits-withdrawals-text__top-text--desktop {
      display: none;
    }
    .deposits-withdrawals .deposits-withdrawals-text__top-text--mobile {
      display: block;
    }
    .deposits-withdrawals .deposits-withdrawals-text__top-text {
      font-size: 2.4rem;
      font-weight: 500;
      line-height: 2.8rem;
    }
    .deposits-withdrawals .deposits-withdrawals-text__middle-text {
      font-size: 14rem;
      line-height: 16.8rem;
    }
    .deposits-withdrawals .deposits-withdrawals-text--deposit .deposits-withdrawals-text__middle-text {
      margin-right: 0;
    }
  }
  @media (max-width: 767px) {
    .deposits-withdrawals .content-wrapper {
      padding-left: 2.4rem;
      padding-right: 2.4rem;
    }
    .deposits-withdrawals__title {
      margin-bottom: 2rem;
      padding-left: 2.4rem;
      padding-right: 2.4rem;
      text-align: center;
      font-size: 3.6rem;
      line-height: 4rem;
      letter-spacing: -0.072rem;
    }
    .deposits-withdrawals__wrapper {
      display: flex;
      flex-direction: column;
    }
    .deposits-withdrawals__calendar-wrapper {
      order: initial;
      row-gap: 2.4rem;
    }
    .deposits-withdrawals .free-withdrawal-calendar__day--outside {
      opacity: 0.4;
    }
    .deposits-withdrawals__mobile-info {
      padding-top: 2.3rem;
      padding-left: 2.4rem;
      padding-right: 2.4rem;
      padding-bottom: 0.6rem;
      display: flex;
      flex-direction: column;
      row-gap: 4.8rem;
      flex-wrap: wrap;
      border-radius: 1.6rem;
    }
    .deposits-withdrawals .deposits-withdrawals-text--deposit {
      row-gap: 0;
      /* background: linear-gradient(180deg, #f4f4f5 0%, #f4f4f5 0%, #fff 120%); */
    }
    .deposits-withdrawals-text__middle-text--percent {
      font-size: 14rem;
    }
    .deposits-withdrawals-text--withdrawals .deposits-withdrawals-text__middle-text {
      font-size: 11rem;
      line-height: 15.2rem;
      letter-spacing: -0.55rem;
    }
    .deposits-withdrawals-text--withdrawals .deposits-withdrawals-text__middle-text--percent {
      font-size: 8rem;
      line-height: 8.9rem;
      letter-spacing: -0.32rem;
    }
    .deposits-withdrawals .deposits-withdrawals-date--mobile {
      width: 100%;
      margin: 0;
      padding: 0;
      justify-content: flex-start;
      -moz-column-gap: 2rem;
           column-gap: 2rem;
      align-items: center;
      background-color: transparent;
    }
    .deposits-withdrawals .deposits-withdrawals-date__text {
      font-size: 1.4rem;
      line-height: 2.4rem;
    }
    .deposits-withdrawals .deposits-withdrawals-date__date {
      font-size: 2rem;
      font-weight: 500;
      line-height: 2.8rem;
    }
    .deposits-withdrawals .deposits-withdrawals-date__time {
      -moz-column-gap: 0.4rem;
      column-gap: 0;
      font-size: 1.4rem;
      line-height: 2.4rem;
    }
    .deposits-withdrawals .deposits-withdrawals-date__next {
      margin: 0;
      font-size: 1.6rem;
      line-height: 2.4rem;
      color: #687587;
    }
    .deposits-withdrawals .deposits-withdrawals-info {
      display: flex;
      -moz-column-gap: 2rem;
           column-gap: 2rem;
      align-items: center;
    }
    .deposits-withdrawals .deposits-withdrawals-info__icon {
      width: 4rem;
      height: 4rem;
    }
    .deposits-withdrawals .deposits-withdrawals-info__title {
      margin: 0;
      font-size: 2rem;
      line-height: 2.8rem;
      color: #687587;
    }
    .deposits-withdrawals .deposits-withdrawals-info__subtitle {
      margin: 0;
      font-size: 1.6rem;
      line-height: 2.4rem;
      color: #687587;
    }    
  }